Gtk2::CellRendererToggle(3)

NAME
Gtk2::CellRendererToggle - wrapper for GtkCellRendererToggle

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererToggle

METHODS

  cellrenderer = Gtk2::CellRendererToggle->new

  boolean = $toggle->get_activatable
Since: gtk+ 2.18

  $toggle->set_activatable ($setting)

•   $setting (boolean)

Since: gtk+ 2.18

  boolean = $toggle->get_active

  $toggle->set_active ($setting)

•   $setting (boolean)

  boolean = $toggle->get_radio

  $toggle->set_radio ($radio)

•   $radio (boolean)

PROPERTIES

'activatable' (boolean : default true : readable / writable / private / static-nick / static-blurb)
    The toggle button can be activated

'active' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    The toggle state of the button

'inconsistent' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    The inconsistent state of the button

'indicator-size' (integer : default 13 : readable / writable / private / static-nick / static-blurb)
    Size of check or radio indicator

'radio' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    Draw the toggle button as a radio button

SIGNALS

toggled (Gtk2::CellRendererToggle, string)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.